## org.hibernate.tool.hbm2ddl
Class IndexMetadata

    java.lang.Object
      org.hibernate.tool.hbm2ddl.IndexMetadata

    public class IndexMetadata

extends Object

JDBC index metadata

Method Summary
`ColumnMetadata[]` `getColumns()`
`String` `getName()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public String getName()

### getColumns

    public ColumnMetadata[] getColumns()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.